property upDown

on getPropertyDescriptionList me
  description = [:]
  addProp(description, #upDown, [#default: EMPTY, #format: #string, #comment: "ARROW:", #range: ["UP", "DOWN"]])
  return description
end

on beginSprite me
  scrollRate = 5
  case upDown of
    "UP":
      upDown = scrollRate
    "DOWN":
      upDown = -scrollRate
  end case
end

on mouseEnter me
  sendAllSprites(#scrollImage, upDown)
  cursor(280)
end

on mouseLeave me
  sendAllSprites(#scrollImage)
  cursor(0)
end

on mouseDown me
  sendAllSprites(#scrollImage, upDown * 10)
end

on mouseUp me
  sendAllSprites(#scrollImage, upDown)
end

on endSprite me
  cursor(0)
end
