property mediaFolder, downloadFile, xTension, this, xLib, i, o, saveState, downloadItem
global downloadList

on getPropertyDescriptionList me
  description = [:]
  addProp(description, #mediaFolder, [#default: EMPTY, #format: #string, #comment: "FOLDER:"])
  addProp(description, #xTension, [#default: EMPTY, #format: #string, #comment: ".EXT:"])
  return description
end

on runPropertyDialog me, description
  myFile = new(xtra("fileio"))
  fileLink = displayOpen(myFile)
  myFile = 0
  the itemDelimiter = fileSeperator()
  mediaFolder = fileLink.item[fileLink.item.count - 1]
  downloadFile = fileLink.item[fileLink.item.count]
  the itemDelimiter = "."
  xTension = downloadFile.item[2]
  downloadFile = downloadFile.item[1]
  setaProp(description, #mediaFolder, mediaFolder)
  setaProp(description, #downloadFile, downloadFile)
  setaProp(description, #xTension, xTension)
  return description
end

on beginSprite me
  this = sprite(me.spriteNum)
  i = this.member.name & "-RO"
  o = this.member.name
  xLib = this.castLibNum
  saveState = 0
  downloadFile = o
  downloadItem = [mediaFolder, downloadFile, xTension]
  updateThumbnail()
end

on mouseWithin me
  this.member = member(i, xLib)
  cursor(280)
end

on mouseLeave me
  if saveState = 0 then
    this.member = member(o, xLib)
  else
    this.member = member(i, xLib)
  end if
  cursor(0)
end

on endSprite me
  cursor(0)
end

on mouseUp me
  if saveState = 0 then
    saveState = 1
    downloadList.add(downloadItem)
  else
    saveState = 0
    downloadList.deleteAt(downloadList.getPos(downloadItem))
  end if
end

on updateThumbnail me, selectAll
  if selectAll = "ALL" then
    if downloadList.getPos(downloadItem) = 0 then
      saveState = 1
      downloadList.add(downloadItem)
    end if
  end if
  if selectAll = "NONE" then
    saveState = 0
    downloadList = []
    this.member = member(o, xLib)
  end if
  repeat with x = 1 to downloadList.count
    if this.member.name = downloadList[x][2] then
      saveState = 1
      this.member = member(i, xLib)
    end if
  end repeat
end
