property this, soundTrack

on beginSprite me
  this = sprite(me.spriteNum)
  repeat with x = 1 to the number of castLibs
    repeat with y = 1 to the number of castMembers of castLib x
      if member(y, x).name = "SOUNDTRACK" then
        if member(y, x).type = #sound then
          soundTrack = member(y, x)
        end if
      end if
    end repeat
  end repeat
  if soundTrack <> VOID then
    sound(1).volume = 255 / 2
    sound(1).queue([#member: soundTrack, #loopCount: 0])
    sound(1).play()
  end if
end

on exitFrame me
  sound(1).volume = integer(this.getVariable("_root.fVolume", 0) * 255 / 100)
end

on soundPause
  sound(1).pause()
end

on soundPlay
  sound(1).play()
end
