property this, swapImage

on getPropertyDescriptionList
  rangeList = []
  xLib = 0
  repeat with x = 1 to the number of castMembers of castLib xLib
    if member(x, xLib).type = #bitmap then
      rangeList.add(member(x, xLib).name)
    end if
  end repeat
  description = [:]
  addProp(description, #swapImage, [#default: EMPTY, #format: #string, #comment: "rollover image:", #range: rangeList])
  return description
end

on beginSprite me
  this = sprite(me.spriteNum)
  image1 = this.member
end

on mouseEnter me
  sendAllSprites(#swapImage, swapImage)
  cursor(280)
end

on mouseLeave me
  sendAllSprites(#swapImage)
  cursor(0)
end

on endSprite me
  sendAllSprites(#swapImage)
  cursor(0)
end
