property backNext
global imageOrder, previewImage

on getPropertyDescriptionList
  description = [:]
  addProp(description, #backNext, [#default: EMPTY, #format: #string, #comment: "back or next:", #range: ["BACK", "NEXT"]])
  return description
end

on beginSprite me
  case backNext of
    "BACK":
      backNext = -1
    "NEXT":
      backNext = 1
  end case
end

on mouseUp me
  imageNumber = imageOrder.getPos(previewImage)
  if backNext > 0 then
    if (imageNumber + backNext) > imageOrder.count then
      previewImage = imageOrder[1]
    else
      previewImage = imageOrder[imageNumber + backNext]
    end if
  else
    if (imageNumber + backNext) < 1 then
      previewImage = imageOrder[imageOrder.count]
    else
      previewImage = imageOrder[imageNumber + backNext]
    end if
  end if
  go("PREVIEWS")
  sendAllSprites(#updatePreview, previewImage)
  sendAllSprites(#updateSave)
end
