property mediaFolder, downloadFile, xTension
global previewImage

on getPropertyDescriptionList me
  description = [:]
  addProp(description, #mediaFolder, [#default: EMPTY, #format: #string, #comment: "FOLDER:"])
  addProp(description, #downloadFile, [#default: EMPTY, #format: #string, #comment: "FILE:"])
  addProp(description, #xTension, [#default: EMPTY, #format: #string, #comment: ".EXT:"])
  return description
end

on runPropertyDialog me, description
  myFile = new(xtra("fileio"))
  fileLink = displayOpen(myFile)
  myFile = 0
  the itemDelimiter = fileSeperator()
  mediaFolder = fileLink.item[fileLink.item.count - 1]
  downloadFile = fileLink.item[fileLink.item.count]
  the itemDelimiter = "."
  xTension = downloadFile.item[2]
  downloadFile = downloadFile.item[1]
  setaProp(description, #mediaFolder, mediaFolder)
  setaProp(description, #downloadFile, downloadFile)
  setaProp(description, #xTension, xTension)
  return description
end

on mouseUp me
  fileSeperator = fileSeperator()
  projectName = "The Number 23"
  savePath = baSysFolder("desktop")
  savePath = savePath & projectName & fileSeperator
  filePath = the moviePath & mediaFolder & fileSeperator & downloadFile & "." & xTension
  saveFile = savePath & mediaFolder & fileSeperator & downloadFile & "." & xTension
  copyFile = baCopyFileProgress(filePath, saveFile, "always", "download location", "cancel", 0)
end
